import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import {tagPropType, mapToCssModules} from './Shared/helper.js';

//component - CoreUI / CCardImgOverlay

const CCardImgOverlay = props=>{

  const {
    className,
    cssModule,
    tag: Tag,
    ...attributes
  } = props;

  //render

  const classes = mapToCssModules(classNames(
    className,
    'card-img-overlay'
  ), cssModule);

  return (
    <Tag {...attributes} className={classes} />
  );

}

CCardImgOverlay.propTypes = {
  tag: tagPropType,
  className: PropTypes.string,
  cssModule: PropTypes.object,
};

CCardImgOverlay.defaultProps = {
  tag: 'div'
};

export default CCardImgOverlay;
